"This Certificate Has an Invalid Digital Signature" Error Message After You Install the Windows NT 4.0 Security Rollup Package

Article translations Article translations
Article ID: 305929
Expand all | Collapse all

Symptoms

When you visit a secure Web site (a site whose address begins with "https://") that uses Secure Sockets Layer (SSL), you may receive the following error message when you view the server certificate, even if the server certificate is properly trusted and valid:
This certificate has an invalid digital signature.
This problem occurs after you install the Windows NT 4.0 Security Rollup Package (SRP) on a computer that is running Microsoft Internet Explorer 5.5 Service Pack 2 (SP2) or Internet Explorer 5.01 Service Pack 2 (SP2). Note that this problem is with the user interface only; no functionality is lost.

Resolution

A supported fix is now available from Microsoft, but it is only intended to correct the problem that is described in this article. Apply it only to computers that are experiencing this specific problem.

To resolve this problem, contact Microsoft Product Support Services to obtain the fix. For a complete list of Microsoft Product Support Services phone numbers and information about support costs, visit the following Microsoft Web site:
http://support.microsoft.com/default.aspx?scid=fh;EN-US;CNTACTMS
NOTE: In special cases, charges that are ordinarily incurred for support calls may be canceled if a Microsoft Support Professional determines that a specific update will resolve your problem. The usual support costs will apply to additional support questions and issues that do not qualify for the specific update in question.

The English version of this fix should have the following file attributes or later:
   Date         Time   Version       Size     File name    Platform
   ----------------------------------------------------------------
   05-Jul-2001  15:04  5.131.1877.9  371,472  Crypt32.dll  Intel
   27-Jun-2000  19:57  5.131.1877.9   62,736  Softpub.dll  Intel
				
NOTE: Because of file dependencies, this hotfix requires Microsoft Windows NT 4.0 Service Pack 6a.

Status

Microsoft has confirmed that this is a problem in the Windows NT 4.0 Security Rollup Package.

More information

For additional information about the SRP, click the article number below to view the article in the Microsoft Knowledge Base:
299444 Post-Windows NT 4.0 Service Pack 6a Security Rollup Package (SRP)

Properties

Article ID: 305929 - Last Review: June 19, 2014 - Revision: 4.0
Keywords: 
kbautohotfix kbproductlink kbhotfixserver kbqfe kbbug kbenv kberrmsg kbfix KB305929

Give Feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com